<?php
  /**************************************************************************\
  * phpGroupWare module (NNTP)                                               *
  * http://www.phpgroupware.org                                              *
  * Written by Mark Peters <mpeters@satx.rr.com>                             *
  * --------------------------------------------                             *
  *  This program is free software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/

  /* $Id: admin.php,v 1.12 2000/12/02 09:45:27 skeeter Exp $ */

  if ((isset($submit) && $submit) && 
      (isset($nntplist) && $nntplist)) {
     $phpgw_info["flags"] = array("noheader" => True, "nonavbar" => True);
  }

  $phpgw_info["flags"]["enable_nextmatchs_class"] = True;
  $phpgw_info["flags"]["currentapp"] = "admin";
  include("../header.inc.php");

  function get_tg() {
    global $phpgw;

    $phpgw->db->query("SELECT count(con) FROM newsgroups");
    if(!$phpgw->db->num_rows()) return 0;
    $phpgw->db->next_record();
    return $phpgw->db->f(0);
  }

  if((!isset($submit) || !$submit) && (!isset($nntplist) || !$nntplist)) {
    if (!isset($tg) || !$tg) {
      $tg = get_tg();
    }

    if (!$tg) {
      @set_time_limit(0);
      include($phpgw_info["server"]["server_root"]."/nntp/inc/functions.inc.php");
      $nntp = new NNTP;
      $nntp->load_table();
      $tg = get_tg();
    }

    $t = $phpgw->template;
    $t->set_file(array( "nntp_header"	=> "nntp.tpl",
			"nntp_list"	=> "nntp.tpl",
			"nntp_footer"	=> "nntp.tpl" ));

    $t->set_block("nntp_header","nntp_list","nntp_footer","output");

    if (!isset($start) || !$start) $start = 0;
     
    if (!isset($query_result) || !$query_result) $query_result = 0;

    $orderby = "";

    if (!isset($order) || !$order) {
      $order = 1;
    }

    if (isset($order) && $order) {
      switch ($order) {
	case 1:
	  $orderby = " ORDER BY CON $sortorder";
	  break;
	case 2:
	  $orderby = " ORDER BY NAME $sortorder";
	  break;
	case 3:
	  $orderby = " ORDER BY ACTIVE $sortorder";
	  break;
      }
    }

    if ((isset($search) && $search) || (isset($next) && $next)) {
      if (isset($search) && $search)
	$query_result = 0;
      else
	$query_result++;
      $phpgw->db->query("SELECT con FROM newsgroups "
		    ."WHERE name LIKE '%$query%'$orderby LIMIT "
		    .$phpgw->nextmatchs->sql_limit($query_result));
      $phpgw->db->next_record();
      $start = (int)$phpgw->db->f("con") - 1;
    }
    $urlname = "";
    $common_hidden_vars = "<input type=\"hidden\" name=\"start\" value=\"" . $start . "\">"
		        . "<input type=\"hidden\" name=\"stop\" value=\""
			. ($start + $phpgw_info["user"]["preferences"]["common"]["maxmatchs"]) . "\">"
		        . "<input type=\"hidden\" name=\"tg\" value=\"" . $tg . "\">";
    if (isset($query_result) && $query_result) 
      $common_hidden_vars .= "<input type=\"hidden\" name=\"query_result\" value=\"" . $query_result . "\">";

    $t->set_var("search_value",(isset($query) && $query?$query:""));
    $t->set_var("search",lang("search"));
    $t->set_var("next",lang("next"));

    $extra_parms = "&tg=" . $tg;

    if(isset($sortorder) && $sortorder) {
      $extra_parms .= "&sortorder=" . $sortorder;
    }
    if(isset($order) && $order) {
      $extra_parms .= "&order=" . $order;
    }

    $t->set_var("nml",$phpgw->nextmatchs->left($urlname,$start,$tg,$extra_parms));
    $t->set_var("nmr",$phpgw->nextmatchs->right($urlname,$start,$tg,$extra_parms));
    $t->set_var("title",lang("Newsgroups"));
    $t->set_var("action_url",$phpgw->link($urlname));
    $t->set_var("common_hidden_vars",$common_hidden_vars);
    $t->set_var("th_bg",$phpgw_info["theme"]["th_bg"]);
    $t->set_var("th_font",$phpgw_info["theme"]["font"]);
    $t->set_var("sort_con",$phpgw->nextmatchs->show_sort_order($sort,"1",$order,$urlname," # ","&tg=$tg"));
    $t->set_var("sort_group",$phpgw->nextmatchs->show_sort_order($sort,"2",$order,$urlname,"Group","&tg=$tg"));
    $t->set_var("sort_active",$phpgw->nextmatchs->show_sort_order($sort,"3",$order,$urlname," Active ","&tg=$tg"));

    $t->parse("out","nntp_header");

    if ($phpgw_info["user"]["preferences"]["common"]["maxmatchs"] <= $tg - $start) {
       $totaltodisplay = $phpgw_info["user"]["preferences"]["common"]["maxmatchs"];
    } else {
       $totaltodisplay = ($tg - $start);
    }

    $orderby = "";

    if (isset($order) && $order) {
      switch ($order) {
	case 1:
	  $orderby = " ORDER BY CON $sort";
	  break;
	case 2:
	  $orderby = " ORDER BY NAME $sort";
	  break;
	case 3:
	  $orderby = " ORDER BY ACTIVE $sort";
	  break;
      }
    }

    $phpgw->db->query("SELECT con, name, active FROM newsgroups$orderby LIMIT "
		    .$phpgw->nextmatchs->sql_limit($start,$totaltodisplay));

    for ($i=0;$i<$totaltodisplay;$i++) {
      $phpgw->db->next_record();
      $tr_color = $phpgw->nextmatchs->alternate_row_color($tr_color);
      $t->set_var("tr_color",$tr_color);
      $con = $phpgw->db->f("con");
      $t->set_var("con",$con);

      $name = $phpgw->db->f("name");
      if (!$name) $name  = "&nbsp;";
      $group_name = "<a href=\"" . $phpgw->link(
					$phpgw_info["server"]["webserver_url"]
		  		        ."/admin/editnntp.php","con=$con")
		  . "\">$name</a>";
      $t->set_var("group",$group_name);

      $active = $phpgw->db->f("active");
      if ($active == "Y") $checked = " checked"; else $checked = "";
      $active_var = "<input type=\"checkbox\" name=\"nntplist[]\" value=\"$con\"$checked>";
      $t->set_var("active",$active_var);

      if ($i+1 <> $totaltodisplay)
	$t->parse("output","nntp_list",True);
    }
    $t->set_var("lang_update",lang("update"));
    $t->set_var("checkmark",$phpgw_info["server"]["webserver_url"]."/email/images/check.gif");

    $t->pparse("out","nntp_footer");
 
    $phpgw->common->phpgw_footer();
  } else { 
    $phpgw->db->lock("newsgroups");

    $phpgw->db->query("UPDATE newsgroups SET active='N' WHERE con>=$start AND con<=$stop");

    for ($i=0;$i<count($nntplist);$i++) {
      $phpgw->db->query("UPDATE newsgroups SET active='Y' WHERE con=".$nntplist[$i]);
    }
    $phpgw->db->unlock();

    Header("Location: " . $phpgw->link($urlname,"start=$start&tg=$tg"));
  }
?>
