<?php
  /**************************************************************************\
  * phpGroupWare - Notepad                                                   *
  * http://www.phpgroupware.org                                              *
  * Written by: Andy Holman (LoCdOg)                                         *
  *                                                                          *
  * --------------------------------------------                             *
  *  This program is free software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/

  /* $Id: index.php,v 1.11 2001/01/07 18:06:50 skeeter Exp $ */

  $phpgw_info["flags"] = array("currentapp" => "notes", "enable_nextmatchs_class" => true);
  include("../header.inc.php");

  ### MAKE IT SHOW X NUMBER OF ITEMS PER PAGE ###
  $limit = $phpgw_info["user"]["preferences"]["common"]["maxmatchs"];

$notes_font = set_font();
$notes_font_size = set_font_size();
?>

<!---begin show notes --->
<br>
 <table width="550" border="0" cellspacing="0" cellpadding="4" align="center">
  <tr>
   <td colspan="3" align="center" width="500" bgcolor="#c9c9c9">
	<center><font face="<? echo $notes_font ?>" size="3"><b>Personalized notes for: <?php echo $phpgw_info["user"]["fullname"]; ?></font></b></center>
   </td>
  </tr>
  <tr>
   <td colspan="3" align="left">
    <table width="550" border="0">
	 <tr>
	  <?php echo $phpgw->nextmatchs->left("index.php",$start, $limit); ?>
	  <td>&nbsp;</td>
	  <?php echo $phpgw->nextmatchs->right("index.php", $start, $limit); ?>
	 </tr>
    </table>
   </td>
  </tr>
  <tr>
   <td colspan="1" align="center" valign="top">
    <font face="<? echo $notes_font; ?>" size="3"><a href="<?php echo $phpgw->link("add.php"); ?>"><nobr>Add new entry</nobr></a></font>
   </td>
   <td colspan="2" align="right" valign="top">
    <form method="post" action="<?php echo $phpgw->link("search.php"); ?>">
     <input type="text" name="search">&nbsp;<input type="submit" name="submit" value="SEARCH">
    </form>
   </td>
</tr>
<?php

 ### PERFORM QUERY ###
 $phpgw->db->query("SELECT note_date, note_content, note_id FROM notes WHERE note_owner='"
                  . $phpgw_info["user"]["account_id"] . "' ORDER BY note_date  DESC LIMIT $limit",__LINE__,__FILE__);

  ## DISPLAY ROWS OF NOTES ####
  while ($phpgw->db->next_record())
 {
	### FORMAT THE DATE FOR DISPLAY! ###
	$new_date = $phpgw->common->show_date($phpgw->db->f("note_date"));

	## SPLIT WORDS FOR EASIER VIEWING ON MAIN PAGE ###
	$words = split(" ", $phpgw->db->f("note_content"));
	
     $tr_color = $phpgw->nextmatchs->alternate_row_color($tr_color);

 	print '<tr><td width="200" align="left" valign="top" bgcolor="' . $tr_color
 	    . '">&nbsp;&nbsp;<nobr><font face="'.$notes_font.'" size="'.$notes_font_size.'">'. $new_date . '</nobr></font></td><td width="150" align="left" '
 	    . 'valign="top" bgcolor="' . $tr_color . '"><font face="'.$notes_font.'" size="' . $notes_font_size
 	    . '"><nobr>' . "$words[0] $words[1] $words[2] $words[3] ....." .'</nobr></font></td><td width="250" align="right" '
 	    . 'valign="top" bgcolor="' . $tr_color . '"><nobr><a href="' .
 $phpgw->link("view.php","id=" . $phpgw->db->f("note_id"))
         . '">view</a> | <a href="' .
 $phpgw->link("edit.php","id=" . $phpgw->db->f("note_id"))
         . '">edit</a> | <a href="' .
 $phpgw->link("delete.php", "id=".$phpgw->db->f("note_id"))
         . '">delete</a></nobr></td></tr>';
  }
?>
</table>

<!---end show notes--->
<?php $phpgw->common->phpgw_footer(); ?>
