<?php
  /**************************************************************************\
  * phpGroupWare - todo list                                                 *
  * http://www.phpgroupware.org                                              *
  * Written by Joseph Engo <jengo@phpgroupware.org>                          *
  * --------------------------------------------                             *
  *  This program is free software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/

  /* $Id: index.php,v 1.31 2000/12/07 21:56:50 jengo Exp $ */

  $phpgw_info["flags"] = array("currentapp" => "todo", "enable_todo_class" => True, "enable_nextmatchs_class" => True);
  include("../header.inc.php");

  $db2 = $phpgw->db;

  $phpgw->template->set_file(array( "todo_list_t" => "list.tpl"));
  $phpgw->template->set_block("todo_list_t", "todo_list", "list");
  
   $common_hidden_vars =
   "<input type=\"hidden\" name=\"sort\" value=\"$sort\">\n"
 . "<input type=\"hidden\" name=\"order\" value=\"$order\">\n"
 . "<input type=\"hidden\" name=\"query\" value=\"$query\">\n"
 . "<input type=\"hidden\" name=\"start\" value=\"$start\">\n"
 . "<input type=\"hidden\" name=\"filter\" value=\"$filter\">\n";
 
 if($action=="sp") {
 	$common_hidden_vars .= "<input type=\"hidden\" name=\"action\" value=\"sp\">\n"
 					. "<input type=\"hidden\" name=\"todo_id\" value=\"$todo_id\">";
 }

  $phpgw->template->set_var(lang_action,lang("todo list"));
  $phpgw->template->set_var(actionurl,$phpgw->link("add.php"));
  $phpgw->template->set_var(common_hidden_vars,$common_hidden_vars);

  if (! $start)
     $start = 0;

  if ($order)
     $ordermethod = "order by $order $sort";
  else
     $ordermethod = "order by todo_datecreated asc";

  if (! $filter) {
     $filter = "none";
  }

  if ($filter != "private") {
     if ($filter != "none") {
        $filtermethod = " todo_access like '%,$filter,%' ";
     } else {
        $filtermethod = " (todo_owner='" . $phpgw_info["user"]["account_id"] ."' OR todo_access='public' "
		            . $phpgw->accounts->sql_search("todo_access") . " ) ";
     }
  } else {
     $filtermethod = " todo_owner='" . $phpgw_info["user"]["account_id"] . "' ";
  }

// ------------------ If searched within list ----------------------------

  if ($query) {
     if($action!="sp") {
     	// ====================================
     	// count list items when project list
     	// ====================================
     	$phpgw->db->query("select count(*) from todo where $filtermethod and todo_des "
		                 . "like '%$query%'",__LINE__,__FILE__);
	}
	else {
	     // ======================================
     	// count list items when subproject list
     	// ======================================
     	$phpgw->db->query("select count(*) from todo where $filtermethod and todo_des "
                         . "like '%$query%' AND todo_id_parent=$todo_id",__LINE__,__FILE__);
	}
     	
     $phpgw->db->next_record();

     if ($phpgw->db->f(0) == 1)
        $phpgw->template->set_var(total_matchs,lang("your search returned 1 match"));
     else
        $phpgw->template->set_var(total_matchs,lang("your search returned x matchs",$phpgw->db->f(0)));

// ------------------ If NOT searched within list ----------------------------

  } else {
     if($action!="sp")
     	// ====================================
     	// count list items when project list
     	// ====================================
     	$phpgw->db->query("select count(*) from todo where todo_id_parent=0 AND $filtermethod",__LINE__,__FILE__);
     else
     	// ======================================
     	// count list items when subproject list
     	// ======================================
     	$phpgw->db->query("select count(*) from todo where todo_id_parent=$todo_id AND $filtermethod",__LINE__,__FILE__);

	$phpgw->db->next_record();

  if ($phpgw->db->f(0) > $phpgw_info["user"]["preferences"]["common"]["maxmatchs"])
     $total_matchs = "<br>" . lang("showing x - x of x",($start + 1),
			   ($start + $phpgw_info["user"]["preferences"]["common"]["maxmatchs"]),
			   $phpgw->db->f(0));
  else
     $total_matchs = "<br>" . lang("showing x",$phpgw->db->f(0));
  
  $phpgw->template->set_var("total_matchs",$total_matchs);
  }

// ---------------------------------------------------------------------

	// ==========================================
	// project description if subprojectlist
	// ==========================================
	if($action=="sp") {
    		$phpgw->db->query("select todo.*, accounts.account_firstname,accounts.account_lastname,
     					  	accounts.account_lid from todo, accounts where todo_id=$todo_id AND
       						accounts.account_id=todo.todo_owner",__LINE__,__FILE__);
    		$phpgw->db->next_record();
    
          $ownerout = $phpgw->strip_html($phpgw->db->f("account_lid") . " <" . $phpgw->db->f("account_firstname") . " "
                                       . $phpgw->db->f("account_lastname") . ">" );
                		
          if ($phpgw->db->f("todo_pri") == "1")
       		$pri = lang("low");
    		if ($phpgw->db->f("todo_pri") == "2")
       		$pri = "<b>" . lang("normal") . "</b>";
    		if ($phpgw->db->f("todo_pri") == "3")
       		$pri = "<font color=CC0000>" . lang("high") . "</font>";
    		
    		$phpgw->template->set_var("lang_pdheader",lang("Displaying Subprojects of following project"));
    		$phpgw->template->set_var("lang_pdproject",lang("Projekt Description"));
    		$phpgw->template->set_var("lang_project", $phpgw->db->f("todo_des"));
    		$phpgw->template->set_var("lang_pdurgency",lang("Urgency"));
    		$phpgw->template->set_var("lang_urgency", $pri);
    		$phpgw->template->set_var("lang_pdcreated",lang("created by"));
    		$phpgw->template->set_var("lang_created",$ownerout);
    		$phpgw->template->set_var("lang_pdstatus",lang("Status"));
    		$phpgw->template->set_var("lang_status",$phpgw->db->f("todo_status") . "%");
    	}
    	else {
    		  $phpgw->template->set_block("todo_list_t", "projdetails", "projdetailshandle");
     }
?>

<?php
    // ===========================================
    // nextmatch variable template-declarations
    // ===========================================
     $next_matchs = $phpgw->nextmatchs->show_tpl("index.php",$start,$phpgw->db->f(0),
		                                       "&order=$order&filter=$filter&sort="
		 							        . "$sort&query=$query&action=$action&todo_id=$todo_id","90%",$phpgw_info["theme"][th_bg]);
     $phpgw->template->set_var(next_matchs,$next_matchs);
  // ---------- end nextmatch template --------------------
  
  // ===========================================
  // list header variable template-declarations
  // ===========================================
  $phpgw->template->set_var(th_bg,$phpgw_info["theme"][th_bg]);
  $phpgw->template->set_var(sort_status,$phpgw->nextmatchs->show_sort_order($sort,"todo_status",$order,"index.php",lang("status")));
  $phpgw->template->set_var(sort_urgency,$phpgw->nextmatchs->show_sort_order($sort,"todo_pri",$order,"index.php",lang("urgency")));
  $phpgw->template->set_var(sort_todo,$phpgw->nextmatchs->show_sort_order($sort,"todo_des",$order,"index.php",lang("todo")));
  $phpgw->template->set_var(sort_lastupdated,$phpgw->nextmatchs->show_sort_order($sort,"todo_startdate",$order,"index.php",lang("start date")));
  $phpgw->template->set_var(sort_datedue,$phpgw->nextmatchs->show_sort_order($sort,"todo_enddate",$order,"index.php",lang("end date")));
  $phpgw->template->set_var(sort_owner,$phpgw->nextmatchs->show_sort_order($sort,"todo_owner",$order,"index.php",lang("created by")));
  $phpgw->template->set_var(h_lang_edit,lang("edit"));
  $phpgw->template->set_var(h_lang_delete,lang("delete"));

// -------------- end header declaration -----------------

?>

<?php
  $limit = $phpgw->nextmatchs->sql_limit($start);

  if($action==sp) {
    	if($query) {
    		$phpgw->db->query("SELECT todo.*,accounts.account_firstname,accounts.account_lastname,"
                            . "accounts.account_lid FROM todo,accounts WHERE $filtermethod AND "
                            . "todo.todo_id_parent=$todo_id AND "
                            . "accounts.account_id=todo.todo_owner AND todo_des like '%$query%' "
                            . "$ordermethod limit $limit",__LINE__,__FILE__);
  	}
  	else {
    		$phpgw->db->query("SELECT todo.*,accounts.account_firstname,accounts.account_lastname,"
                            . "accounts.account_lid FROM todo,accounts WHERE "
                            . "accounts.account_id=todo.todo_owner AND "
                            . "todo.todo_id_parent=$todo_id AND "
                            . "$filtermethod $ordermethod limit "
                            . $limit,__LINE__,__FILE__);
     }
  }
  
  else {
  	if ($query) {
     	$phpgw->db->query("SELECT todo.*,accounts.account_firstname,accounts.account_lastname,"
     	                . "accounts.account_lid FROM todo,accounts WHERE $filtermethod AND "
         			    . "todo.todo_id_parent=0 AND "
         			    . "accounts.account_id=todo.todo_owner AND todo_des like '%$query%' "
     			        . "$ordermethod limit $limit",__LINE__,__FILE__);
  	} else {
     	$phpgw->db->query("SELECT todo.*,accounts.account_firstname,accounts.account_lastname,"
     				. "accounts.account_lid FROM todo,accounts WHERE "
     				. "accounts.account_id=todo.todo_owner AND "
     				. "todo.todo_id_parent=0 AND "
     				. "$filtermethod $ordermethod limit "
     				. $limit,__LINE__,__FILE__);
  	}
  }
  
  while ($phpgw->db->next_record()) {
    
    // ========================================
    // check if actual project has subprojects
    // ========================================
    $db2->query("select count(*) as cnt from todo where todo_id_parent=" .$phpgw->db->f("todo_id"),__LINE__,__FILE__);
    $db2->next_record();
    if($db2->f("cnt")>0) $subproact = 1; else $subproact = 0;
    
    // -----------------------------------------
    
    $tr_color = $phpgw->nextmatchs->alternate_row_color($tr_color);
    $des = $phpgw->db->f("todo_des");
    //$pri = $phpgw->db->f("todo_pri");

    if ($des != "")
       $des = $phpgw->strip_html(stripslashes($des));
    else
       $des = "&nbsp;";

    if ($phpgw->db->f("todo_pri") == "1")
       $pri = lang("low");
    if ($phpgw->db->f("todo_pri") == "2")
       $pri = "<b>" . lang("normal") . "</b>";
    if ($phpgw->db->f("todo_pri") == "3")
       $pri = "<font color=CC0000>" . lang("high") . "</font>";

     
      $phpgw->template->set_var(tr_color,$tr_color);

      if ($phpgw->db->f("todo_enddate") == 0) {
         $datedueout = "&nbsp;";
      } else {
         $month = $phpgw->common->show_date(time(),"n");
         $day   = $phpgw->common->show_date(time(),"d");
         $year  = $phpgw->common->show_date(time(),"Y");

         $datedue = $datedue + (60*60) * $phpgw_info["user"]["preferences"]["common"]["tz_offset"];

         if (mktime(2,0,0,$month,$day,$year) >= $phpgw->db->f("todo_enddate")) {
            $datedueout =  "<font color=\"CC0000\">";
         } else {
           $datedueout = "";
         }

         $datedueout .= $phpgw->common->show_date($phpgw->db->f("todo_enddate"),$phpgw_info["user"]["preferences"]["common"]["dateformat"]);
         if (mktime(2,0,0,$month,$day,$year) >= $phpgw->db->f("todo_enddate")) {
            $datedueout .= "</font>";
         }
      }

      $ownerout = $phpgw->strip_html($phpgw->db->f("account_lid") . " <" . $phpgw->db->f("account_firstname") . " "
                . $phpgw->db->f("account_lastname") . ">" );
               
      
      // ============================================
      // template declaration for list records
      // ============================================
      
      $phpgw->template->set_var(array("status" => $phpgw->db->f("todo_status"),
      			    "pri" => $pri,
      			    "des" => $des,
      			    "datecreated" => $phpgw->common->show_date($phpgw->db->f("todo_startdate"),$phpgw_info["user"]["preferences"]["common"]["dateformat"]),
      			    "datedue" => $datedueout,
      			    "owner" => $ownerout,
      			    "edit" => $phpgw->common->check_owner($phpgw->db->f("todo_owner"),"edit.php",
                                                           lang("edit"),"todo_id=" . $phpgw->db->f("todo_id")
                                         . "&sort=$sort&order=$order&"
                                         . "query=$query&start=$start&filter="
                                         . "$filter"),
                 		"delete" => $phpgw->common->check_owner($phpgw->db->f("todo_owner"),"delete.php",
                                           lang("delete"),"todo_id=" . $phpgw->db->f("todo_id")
                                         . "&sort=$sort&order=$order&"
                                         . "query=$query&start=$start&filter="
                                         . "$filter")));
       
       // ================================================================================
       // you can only create one subproject per project, no subprojects of subprojects
       // ================================================================================
       if($action!='sp') {
       	$phpgw->template->set_var("subadd", $phpgw->common->check_owner($phpgw->db->f("todo_owner"),"add.php",	
			                    lang("AddSub"),"todo_id=" . $phpgw->db->f("todo_id")
                         		   . "&filter=$filter" . "&action=sp"));
       }
       

       // ================================================================================
       // only display "viewsub" if there are subprojects available for current project
       // ================================================================================
       if($subproact==1) {
       	$phpgw->template->set_var("viewsub", $phpgw->common->check_owner($phpgw->db->f("todo_owner"),"index.php",
			                    lang("ViewSub"),"todo_id=" . $phpgw->db->f("todo_id")
                         		   . "&filter=$filter" . "&action=sp"));
       }
       else {
       	$phpgw->template->set_var("viewsub","");
       }
       
       $phpgw->template->parse("list", "todo_list", true);
       // -------------- end record declaration ------------------------
  }

      // =========================================================
      // back2project list href declaration for subproject list
      // =========================================================
      
      if($action=="sp")
		$phpgw->template->set_var("lang_back2projects", "<br>" . $phpgw->common->check_owner($phpgw_info["user"]["account_id"],"index.php",
			                    	lang("Back to Projectlist"),"filter=$filter"));


	 // get actual date and year for matrixview arguments
	 $year = date("Y");
	 $month = date("m");
	 $phpgw->template->set_var("lang_matrixviewhref", "<br>" . $phpgw->common->check_owner($phpgw_info["user"]["account_id"],"graphview.php",
			                    	lang("View Matrix of actual Month"),"month=$month&year=$year&filter=$filter"));
      // ============================================
      // template declaration for Add Form
      // ============================================

       $phpgw->template->set_var(lang_add,lang("add"));
       $phpgw->template->parse("out", "todo_list_t", true);
       $phpgw->template->p("out");
       
      // -------------- end Add form declaration ------------------------    

?>

<?php $phpgw->common->phpgw_footer(); ?>
