<?php
  /**************************************************************************\
  * phpGroupWare - Translation Editor                                        *
  * http://www.phpgroupware.org                                              *
  * --------------------------------------------                             *
  *  This program is free software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/

  /* $Id: generatelangfile.php,v 1.9 2001/01/07 18:17:58 skeeter Exp $ */

  if ($submit) {
     $phpgw_info["flags"] = array("nonavbar" => True, "noheader" => True);
     Header("Content-type: text/plain");
  }

  $phpgw_info["flags"]["currentapp"] = "transy";
  include("../header.inc.php");
  
  if ($submit) {
     $filter = "";
     if ($app_selected != "all" || $app_lang != "any") {
        $filter .= "where";
     }
  
     if ($app_selected != "all") {
        $filter .= " app_name='$app_selected'";
     }

     if ($app_lang != "any") {
        if ($app_selected != "all") {
           $filter .= " AND";
        }
        $filter .= " lang='$app_lang'";
     }
     $phpgw->db->query("select * from lang $filter order by message_id");
     while ($phpgw->db->next_record()) {
       echo strtolower($phpgw->db->f("message_id")) . "\t" . $phpgw->db->f("app_name") . "\t" . $phpgw->db->f("lang")
          . "\t" . $phpgw->db->f("content") . "\n";
     }
     $phpgw->common->phpgw_exit();
  }
?>
  <p><b><?php echo lang("Generate new lang.sql file"); ?></b><hr><p>

 <form method="POST" action="<?php echo $phpgw->link("generatelangfile.php"); ?>">  
  <table border="0">
   <tr>
    <td><?php echo lang("Select application"); ?></td>
    <td>
     <select name="app_selected">
      <option value="all"><?php echo lang("all"); ?></option>
      <?php
        $phpgw->db->query("select app_name, app_title from applications where app_enabled ='1' order by app_name");
        while ($phpgw->db->next_record()) {
          echo '<option value="' . $phpgw->db->f("app_name") . '">' . $phpgw->db->f("app_title") . '</option>';
        }
      ?>
     </select>
   </tr>

   <tr>
    <td><?php echo lang("Select langague to generate for"); ?>
    <td>
     <select name="app_lang">
      <option value="any"><?php echo lang("any"); ?></option>
      <?php
        $phpgw->db->query("select lang,languages.lang_name,languages.lang_id from lang,languages where lang.lang="
                        . "languages.lang_id group by lang,languages.lang_name,languages.lang_id order by lang");
        while ($phpgw->db->next_record()) {
          echo '<option value="' . $phpgw->db->f("lang") . '">' . $phpgw->db->f("lang_id") . ' - ' . $phpgw->db->f("lang_name")
             . '</option>';
        }      
      ?>
     </select>
   </tr>
   
   <tr>
    <td colspan="2" align="center"><input type="submit" name="submit" value="<?php echo lang("submit"); ?>"></td>
   </tr>
   
  </table>
 </form>
 <?php $phpgw->common->phpgw_footer(); ?>
