<?php
  /**************************************************************************\
  * phpGroupWare - todo list                                                 *
  * http://www.phpgroupware.org                                              *
  * Written by Joseph Engo <jengo@phpgroupware.org>                          *
  * --------------------------------------------                             *
  *  This program is free software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/

  /* $Id: add.php,v 1.27 2000/12/24 00:30:41 jengo Exp $ */

  // Note: This form needs some redesign

  if ($submit) {
     $phpgw_info["flags"] = array("noheader" => True, "nonavbar" => True);
  }
  $phpgw_info["flags"]["enable_todo_class"] = True;
  $phpgw_info["flags"]["currentapp"] = "todo";
  include("../header.inc.php");
  include($phpgw_info["server"]["api_inc"] . "/phpgw_utilities_sbox.inc.php");
  
  if (! $submit) {

  	$phpgw->template->set_file(array( "todo_add" => "form.tpl"));
  	
  	// ====================================================================
     	// create two seperate blocks, editblock will be cut off from template
     	// addblock contains the buttons needed
     	// ====================================================================
     	$phpgw->template->set_block("todo_add", "add", "addhandle");
     	$phpgw->template->set_block("todo_add", "edit", "edithandle");
     	
  	if($action=="sp")
  	{
  		$phpgw->db->query("select * from todo where todo_id='$todo_id'");
     		$phpgw->db->next_record();
  		
  		$phpgw->template->set_var("lang_todo_action",lang("todo list - add Sub-Project"));
     		$phpgw->template->set_var("lang_project",lang("Parent Project:"));
     		$phpgw->template->set_var("lang_projdesc",$phpgw->db->f("todo_des"));
     		$phpgw->template->set_var("lang_prdesc",lang("Subproject Description"));
  	}
	else
	{
		$phpgw->template->set_var("lang_todo_action",lang("todo list - add"));
		$phpgw->template->set_block("todo_add", "subpro", "subprohandle");
		$phpgw->template->set_var("lang_prdesc",lang("Project Description"));
	}
	
  	$phpgw->template->set_var("actionurl",$phpgw->link("add.php"));

	$common_hidden_vars = "<input type=\"hidden\" name=\"start\" value=\"$start\">\n"
        		. "<input type=\"hidden\" name=\"filter\" value=\"$filter\">\n"
        		. "<input type=\"hidden\" name=\"todo_id\" value=\"$todo_id\">\n"
        		. "<input type=\"hidden\" name=\"action\" value=\"$action\">";
        		
   $phpgw->template->set_var("common_hidden_vars",$common_hidden_vars);
   $phpgw->template->set_var("descval","");
   $phpgw->template->set_var("lang_urgency",lang("urgency"));
       
	// get an instance of select box class
	$sm = new sbox;

   $phpgw->template->set_var("pri_list",$sm->getPriority("pri"));
   $phpgw->template->set_var("lang_completed",lang("completed"));
   $phpgw->template->set_var("lang_start_date",lang("Start Date"));
   $phpgw->template->set_var("lang_end_date",lang("End Date"));
   $phpgw->template->set_var("stat_list", $sm->getPercentage("status", 0));

   // Loge: We call common->dateformatorder() so the user will see the select boxes in there date preferenece.
   //       I added this back in a few times, and it keeps disappearing.  If you have any questions about
   //       it, let me know.  If not, simply remove this comment.  (jengo)
   $phpgw->template->set_var("start_select_date",$phpgw->common->dateformatorder($sm->getYears("syear", 0),$sm->getMonthText("smonth", 0),$sm->getDays("sday", 0)));
   $phpgw->template->set_var("end_select_date",$phpgw->common->dateformatorder($sm->getYears("eyear", 0),$sm->getMonthText("emonth", 0),$sm->getDays("eday", 0)));

   $phpgw->template->set_var("sel_for_today",lang("or: select for today:"));

	$phpgw->template->set_var("lang_selfortoday",lang("or: select for today:"));
	$phpgw->template->set_var("selfortoday","<input type=\"checkbox\" name=\"seltoday\" value=\"y\">");
	$phpgw->template->set_var("lang_daysfromstartdate",lang("or: days from startdate:"));
	$phpgw->template->set_var("daysfromstartdate", "<input type=\"text\" name=\"daysfromstart\" size=\"3\">");

   $phpgw->template->set_var("lang_access_type",lang("Access type"));
   $phpgw->template->set_var("lang_completed",lang("completed"));
   $phpgw->template->set_var("lang_date_due",lang("date due"));
          
   $phpgw->template->set_var("lang_access_type",lang("Access type"));
	$phpgw->template->set_var("access_list", $sm->getAccessList("access", "private"));
	$phpgw->template->set_var("lang_which_groups",lang("Which groups"));
	
	$gparm = $phpgw->accounts->read_group_names($phpgw_info["user"]["userid"]);
	$phpgw->template->set_var("group_list",$sm->getGroups($gparm));
   
   $phpgw->template->set_var("lang_addsubmitb",lang("Add"));
   $phpgw->template->set_var("lang_addresetb",lang("Clear Form"));
        
   $phpgw->template->set_var("edithandle","");
 	$phpgw->template->set_var("addhandle","");
  	$phpgw->template->set_var("subprohandle","");

    	// $phpgw->template->parse("out","subpro");
  	$phpgw->template->pparse("out","todo_add");
  	$phpgw->template->pparse("addhandle","add");
        
// New code from jengo which must be implemented in
// template file and in this file someday

/*
           if ($phpgw_info["user"]["permissions"]["manager"]) {
              echo "<tr><td>Add item to another users todo list</td>";
              echo '<td><select name="otheruser"><option value=""> </option>';
              $phpgw->db->query("select loginid,firstname,lastname from accounts where "
					 . "status !='L' and permissions like '%:todo:%' and "
					 . "loginid != '" . $phpgw_info["user"]["userid"]
					 . "' order by lastname,firstname,loginid");
              while ($phpgw->db->next_record()) {
                // I need to check to see if there first name and last name is in there.
                echo '<option value="' . $phpgw->db->f("loginid") . '">'
		   . $phpgw->db->f("lastname") . ', ' . $phpgw->db->f("firstname")
		   . '</option>';
              }
              echo "</select><td><tr>";
           }
*/
    $phpgw->common->phpgw_footer();
  } else {
    if (checkdate($month,$day,$year)) {
       $datedue = mktime(2,0,0,$month,$day,$year);
    } else if ($daysfromnow) {
       $datedue = mktime(2,0,0,date("m"),(date("d") + $daysfromnow),date("Y"));
    } else {
       if ($month && $day && $year) {
          navigation_bar();
          echo "<p><center>" . lang("You have entered an invalid date"). "</center>";
          echo "<br>$month - $day - $year";
          $phpgw->common->phpgw_exit();
       }
    }

    if ($phpgw_info["user"]["permissions"]["manager"] && $otheruser) {
       $owner = $otheruser;
    } else {
       $owner = $phpgw_info["user"]["account_id"];
    }

    if($action=="sp") $todo_id_parent = $todo_id; else $todo_id_parent = 0;

    // check wether to write dates or not
    if($seltoday=="y")
    {
    	// startdate is today (checkbox is clicked)
    	$startdate = time();
    }
    else
    {
	    if(checkdate($smonth, $sday, $syear)) 
   	 	$startdate = gmmktime(0,0,0,$smonth, $sday, $syear);
    	else
    		$startdate = 0;
    }
    
    if($daysfromstart>0 AND checkdate(date("m",$startdate),date("d",$startdate), date("Y",$startdate)))
    {
    	$enddate = gmmktime(0,0,0,date("m",$startdate), date("d",$startdate)+$daysfromstart, date("Y",$startdate));
    }
    else
    {
	    if(checkdate($emonth, $eday, $eyear)) 
   	 	$enddate = gmmktime(0,0,0,$emonth, $eday, $eyear);
    	else
    		$enddate = 0;
    }

    if ($access != "private" && $access != "public") {
       $access = $phpgw->accounts->array_to_string($access,$n_groups);
    }
    
    $phpgw->db->query("insert into todo (todo_id_parent, todo_owner,todo_access,todo_des,todo_pri,todo_status,"
    			. "todo_datecreated,todo_startdate, todo_enddate) values ($todo_id_parent, '$owner','$access','" . addslashes($des)
    			. "','$pri','$status','" . time() . "', $startdate, $enddate)");

    Header("Location: " . $phpgw->link($phpgw_info["server"]["webserver_url"] . "/todo/",
           "cd=14&sort=$sort&order=$order&query=$query&start="
         . "$start&filter=$filter"));
  }
