<?php
  /**************************************************************************\
  * phpGroupWare - Translation Editor                                        *
  * http://www.phpgroupware.org                                              *
  * --------------------------------------------                             *
  *  This program is free software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/

  /* $Id: createnewlangset.php,v 1.11 2001/01/07 18:17:58 skeeter Exp $ */

  $phpgw_info["flags"]["currentapp"] = "transy";
  include("../header.inc.php");

  echo '<FORM METHOD="post" ACTION="' . $phpgw->link("","DO_ACTION=getstrings") . '">';

  $phpgw->db->query("SELECT lang_id, lang_name FROM languages");
  $i = 0;
  while ($phpgw->db->next_record()) {
     $languages[$i]["lang_id"]   = $phpgw->db->f("lang_id");
     $languages[$i]["lang_name"] = $phpgw->db->f("lang_name");
     $i++;
  }
?>
  <TABLE>
   <tr>
    <td><?php echo lang("Source Language"); ?></td>
    <td>
     <select name="sourcelang">
      <?php
        while ($lang = each($languages)) {
           echo "<option value=\"" . $lang[1]["lang_id"] . "\"";
           if ($sourcelang) {
              if ($lang[1]["lang_id"] == $sourcelang) {
                 echo " selected";
              }
           } elseif ($lang[1]["lang_id"] == "EN")  {
              echo " selected";
           }
           echo ">" . $lang[1]["lang_name"] . "</option>";
        }
      ?>
     </select>
    </td>
   </tr>
   <tr>
    <td><?php echo lang("Target Language"); ?></td>
    <td>
     <select name="targetlang">
      <?php
        reset($languages);
          
        while ($lang = each($languages)) {
           echo "<option value=\"" . $lang[1]["lang_id"] . "\"";
           if ($targetlang) {
              if ($lang[1]["lang_id"] == $targetlang) {
                 echo " selected";
              }
           } elseif ($lang[1]["lang_id"] == $phpgw_info["user"]["preferences"]["lang"])  {
              echo " selected";
           }
           echo ">" . $lang[1]["lang_name"] . "</option>";
        }
      ?>
     </select>
    </td>
   </tr>
   <tr>
    <td><?php echo lang("Application"); ?></td>
    <td>
     <select name="application_name">
      <option value="all">All</option>
      <option value="common">Common</option>
       <?php
         $db_perms = $phpgw->accounts->read_apps($phpgw_info["user"]["userid"]);
         while ($permission = each($db_perms)) {
            if ($phpgw_info["apps"][$permission[0]]["enabled"]) {
               echo "<option value=\"" . $permission[0] . "\"";
               if ($application_name == $permission[0]) {
                  echo " selected";
               } elseif ($phpgw_info["user"]["preferences"]["default_app"] == $permission[0]) {
                  echo " selected";                          
               }
               echo ">" . lang($phpgw_info["apps"][$permission[0]]["title"]) . "</option>";
            }
         }
       ?>
     </select>
    </td>
   </tr>
   <tr><TD><input type="Submit" name="submit" value="<?php echo lang("Submit"); ?>"></TD></tr>
  </TABLE>
  </FORM>

  <HR>

<?php
  if ($DO_ACTION == "putstrings") {
     while ($t = each($translations)) {
        if ($t[1]) {
           $phpgw->db->query("delete from lang where message_id='" . $t[0] . "' and lang='$targetlang'");
           $phpgw->db->query("insert INTO lang (message_id, app_name, lang, content) VALUES ('"
                           . $t[0] . "','" . $app_name . "','" . $targetlang . "','" . $t[1] . "')");
        }
     }
  }
   
  echo "<TABLE>";
  echo '<FORM METHOD="post" ACTION="' . $phpgw->link("","DO_ACTION=putstrings") . '">';
 
  $dbSource = $phpgw->db;
  $dbTarget = $phpgw->db;
  
  if ($application_name != "all") {
     $appfiltermethod = "and app_name = '$application_name'";
  }

  $dbSource->query("select message_id, content from lang where lang='$sourcelang' $appfiltermethod");
  
  echo '<TR><TH ALIGN="left">' . lang("Message") . '</TH><TH ALIGN="left">' . lang("Original")
     . '</TH><TH ALIGN="left">' . lang("Translation") . '</TH></TR>';
      
  while ($dbSource->next_record()) {
    $mess_id        = addslashes($dbSource->f("message_id"));
    $source_content = addslashes($dbSource->f("content"));

    $dbTarget->query("select content from lang where message_id='$mess_id' and lang='$targetlang"
                   . "' $appfiltermethod");
   
    echo "<TR><TD>" .  $phpgw->strip_html($mess_id) . "</TD>";   
    echo "<TD>" . $phpgw->strip_html($source_content) . "</TD>";   
    if ($dbTarget->next_record()){
       $content = $phpgw->strip_html($dbTarget->f("content"));
       echo '<TD><INPUT NAME="translations[' . $mess_id . ']" TYPE="text" SIZE="50" MAXLENGTH="255" '
          . 'VALUE="' . $content . '"></TD>'; 
    }
    else {
       echo '<TD><INPUT NAME="translations[' . $mess_id . ']" TYPE="text" SIZE="50" MAXLENGTH="255"></TD>';
    }
    echo "</TR>\n";
    
  }
  $action = "UPDATE_TRANS";
  $app_name = $application_name;
?>
  
   <TR VALIGN="top"><INPUT NAME="app_name" TYPE="hidden" VALUE="<?php echo $app_name ?>"></TR>
   <TR VALIGN="top"><INPUT NAME="targetlang" TYPE="hidden" VALUE="<?php echo $targetlang ?>"></TR>

    <TR VALIGN="top">
     <TD><input type="Submit" name="submit" value="<?php echo lang("Submit"); ?>"></TD>
     <TD><input type="Reset" name="submit" value="<?php echo lang("Cancel"); ?>"></TD>
   </TR>
   </FORM>
   
</TABLE>  

<?php $phpgw->common->phpgw_footer(); ?>
